Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCORBAC.cpp File Reference

`#include "RTCORBA.h"`
`#include "tao/Typecode.h"`
`#include "tao/Any_Impl_T.h"`
`#include "tao/Any_Dual_Impl_T.h"`
`#include "tao/Any_Basic_Impl_T.h"`
`#include "ace/OS_NS_string.h"`
`#include "RTCORBAC.i"`

Include dependency graph for RTCORBAC.cpp:

## Namespaces
namespace | RTCORBA
namespace | TAO
## Defines
#define | _RTCORBA_THREADPOOLLANES_CS_
#define | _RTCORBA_PROTOCOLLIST_CS_
#define | _RTCORBA_PRIORITYBANDS_CS_
## Functions
CORBA::TypeCode | _tc_TAO_tc_RTCORBA_NativePriority (CORBA::tk_alias, sizeof(_oc_RTCORBA_NativePriority),(char *)&_oc_RTCORBA_NativePriority, 0, sizeof(RTCORBA::NativePriority))
CORBA::TypeCode | _tc_TAO_tc_RTCORBA_Priority (CORBA::tk_alias, sizeof(_oc_RTCORBA_Priority),(char *)&_oc_RTCORBA_Priority, 0, sizeof(RTCORBA::Priority))
CORBA::TypeCode | _tc_TAO_tc_RTCORBA_NetworkPriority (CORBA::tk_alias, sizeof(_oc_RTCORBA_NetworkPriority),(char *)&_oc_RTCORBA_NetworkPriority, 0, sizeof(RTCORBA::NetworkPriority))
CORBA::TypeCode | _tc_TAO_tc_RTCORBA_ThreadpoolId (CORBA::tk_alias, sizeof(_oc_RTCORBA_ThreadpoolId),(char *)&_oc_RTCORBA_ThreadpoolId, 0, sizeof(RTCORBA::ThreadpoolId))
CORBA::TypeCode | _tc_TAO_tc_RTCORBA_ThreadpoolLane (CORBA::tk_struct, sizeof(_oc_RTCORBA_ThreadpoolLane),(char *)&_oc_RTCORBA_ThreadpoolLane, 0, sizeof(RTCORBA::ThreadpoolLane))
CORBA::TypeCode | _tc_TAO_tc_RTCORBA_ThreadpoolLanes (CORBA::tk_alias, sizeof(_oc_RTCORBA_ThreadpoolLanes),(char *)&_oc_RTCORBA_ThreadpoolLanes, 0, sizeof(RTCORBA::ThreadpoolLanes))
CORBA::TypeCode | _tc_TAO_tc_RTCORBA_PriorityModel (CORBA::tk_enum, sizeof(_oc_RTCORBA_PriorityModel),(char *)&_oc_RTCORBA_PriorityModel, 0, sizeof(RTCORBA::PriorityModel))
CORBA::TypeCode | _tc_TAO_tc_RTCORBA_PriorityModelPolicy (CORBA::tk_objref, sizeof(_oc_RTCORBA_PriorityModelPolicy),(char *)&_oc_RTCORBA_PriorityModelPolicy, 0, sizeof(RTCORBA::PriorityModelPolicy))
CORBA::TypeCode | _tc_TAO_tc_RTCORBA_ThreadpoolPolicy (CORBA::tk_objref, sizeof(_oc_RTCORBA_ThreadpoolPolicy),(char *)&_oc_RTCORBA_ThreadpoolPolicy, 0, sizeof(RTCORBA::ThreadpoolPolicy))
CORBA::TypeCode | _tc_TAO_tc_RTCORBA_ProtocolProperties (CORBA::tk_objref, sizeof(_oc_RTCORBA_ProtocolProperties),(char *)&_oc_RTCORBA_ProtocolProperties, 0, sizeof(RTCORBA::ProtocolProperties))
CORBA::TypeCode | _tc_TAO_tc_RTCORBA_Protocol (CORBA::tk_struct, sizeof(_oc_RTCORBA_Protocol),(char *)&_oc_RTCORBA_Protocol, 0, sizeof(RTCORBA::Protocol))
CORBA::TypeCode | _tc_TAO_tc_RTCORBA_ProtocolList (CORBA::tk_alias, sizeof(_oc_RTCORBA_ProtocolList),(char *)&_oc_RTCORBA_ProtocolList, 0, sizeof(RTCORBA::ProtocolList))
CORBA::TypeCode | _tc_TAO_tc_RTCORBA_ServerProtocolPolicy (CORBA::tk_objref, sizeof(_oc_RTCORBA_ServerProtocolPolicy),(char *)&_oc_RTCORBA_ServerProtocolPolicy, 0, sizeof(RTCORBA::ServerProtocolPolicy))
CORBA::TypeCode | _tc_TAO_tc_RTCORBA_ClientProtocolPolicy (CORBA::tk_objref, sizeof(_oc_RTCORBA_ClientProtocolPolicy),(char *)&_oc_RTCORBA_ClientProtocolPolicy, 0, sizeof(RTCORBA::ClientProtocolPolicy))
CORBA::TypeCode | _tc_TAO_tc_RTCORBA_PrivateConnectionPolicy (CORBA::tk_objref, sizeof(_oc_RTCORBA_PrivateConnectionPolicy),(char *)&_oc_RTCORBA_PrivateConnectionPolicy, 0, sizeof(RTCORBA::PrivateConnectionPolicy))
CORBA::TypeCode | _tc_TAO_tc_RTCORBA_TCPProtocolProperties (CORBA::tk_objref, sizeof(_oc_RTCORBA_TCPProtocolProperties),(char *)&_oc_RTCORBA_TCPProtocolProperties, 0, sizeof(RTCORBA::TCPProtocolProperties))
CORBA::TypeCode | _tc_TAO_tc_RTCORBA_GIOPProtocolProperties (CORBA::tk_objref, sizeof(_oc_RTCORBA_GIOPProtocolProperties),(char *)&_oc_RTCORBA_GIOPProtocolProperties, 0, sizeof(RTCORBA::GIOPProtocolProperties))
CORBA::TypeCode | _tc_TAO_tc_RTCORBA_UnixDomainProtocolProperties (CORBA::tk_objref, sizeof(_oc_RTCORBA_UnixDomainProtocolProperties),(char *)&_oc_RTCORBA_UnixDomainProtocolProperties, 0, sizeof(RTCORBA::UnixDomainProtocolProperties))
CORBA::TypeCode | _tc_TAO_tc_RTCORBA_SharedMemoryProtocolProperties (CORBA::tk_objref, sizeof(_oc_RTCORBA_SharedMemoryProtocolProperties),(char *)&_oc_RTCORBA_SharedMemoryProtocolProperties, 0, sizeof(RTCORBA::SharedMemoryProtocolProperties))
CORBA::TypeCode | _tc_TAO_tc_RTCORBA_PriorityBand (CORBA::tk_struct, sizeof(_oc_RTCORBA_PriorityBand),(char *)&_oc_RTCORBA_PriorityBand, 0, sizeof(RTCORBA::PriorityBand))
CORBA::TypeCode | _tc_TAO_tc_RTCORBA_PriorityBands (CORBA::tk_alias, sizeof(_oc_RTCORBA_PriorityBands),(char *)&_oc_RTCORBA_PriorityBands, 0, sizeof(RTCORBA::PriorityBands))
CORBA::TypeCode | _tc_TAO_tc_RTCORBA_PriorityBandedConnectionPolicy (CORBA::tk_objref, sizeof(_oc_RTCORBA_PriorityBandedConnectionPolicy),(char *)&_oc_RTCORBA_PriorityBandedConnectionPolicy, 0, sizeof(RTCORBA::PriorityBandedConnectionPolicy))
CORBA::TypeCode | _tc_TAO_tc_RTCORBA_Current (CORBA::tk_objref, sizeof(_oc_RTCORBA_Current),(char *)&_oc_RTCORBA_Current, 0, sizeof(RTCORBA::Current))
CORBA::TypeCode | _tc_TAO_tc_RTCORBA_Mutex (CORBA::tk_objref, sizeof(_oc_RTCORBA_Mutex),(char *)&_oc_RTCORBA_Mutex, 0, sizeof(RTCORBA::Mutex))
CORBA::TypeCode | _tc_TAO_tc_RTCORBA_RTORB_MutexNotFound (CORBA::tk_except, sizeof(_oc_RTCORBA_RTORB_MutexNotFound),(char *)&_oc_RTCORBA_RTORB_MutexNotFound, 0, sizeof(RTCORBA::RTORB::MutexNotFound))
CORBA::TypeCode | _tc_TAO_tc_RTCORBA_RTORB_InvalidThreadpool (CORBA::tk_except, sizeof(_oc_RTCORBA_RTORB_InvalidThreadpool),(char *)&_oc_RTCORBA_RTORB_InvalidThreadpool, 0, sizeof(RTCORBA::RTORB::InvalidThreadpool))
CORBA::TypeCode | _tc_TAO_tc_RTCORBA_RTORB (CORBA::tk_objref, sizeof(_oc_RTCORBA_RTORB),(char *)&_oc_RTCORBA_RTORB, 0, sizeof(RTCORBA::RTORB))
void | operator<<= (CORBA::Any &_tao_any, const RTCORBA::ThreadpoolLane &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, RTCORBA::ThreadpoolLane *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, RTCORBA::ThreadpoolLane *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const RTCORBA::ThreadpoolLane *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const RTCORBA::ThreadpoolLanes &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, RTCORBA::ThreadpoolLanes *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, RTCORBA::ThreadpoolLanes *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const RTCORBA::ThreadpoolLanes *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, RTCORBA::PriorityModel _tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, RTCORBA::PriorityModel &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, RTCORBA::PriorityModelPolicy_ptr _tao_elem)
void | operator<<= (CORBA::Any &_tao_any, RTCORBA::PriorityModelPolicy_ptr *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, RTCORBA::PriorityModelPolicy_ptr &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, RTCORBA::ThreadpoolPolicy_ptr _tao_elem)
void | operator<<= (CORBA::Any &_tao_any, RTCORBA::ThreadpoolPolicy_ptr *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, RTCORBA::ThreadpoolPolicy_ptr &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, RTCORBA::ProtocolProperties_ptr _tao_elem)
void | operator<<= (CORBA::Any &_tao_any, RTCORBA::ProtocolProperties_ptr *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, RTCORBA::ProtocolProperties_ptr &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const RTCORBA::Protocol &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, RTCORBA::Protocol *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, RTCORBA::Protocol *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const RTCORBA::Protocol *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const RTCORBA::ProtocolList &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, RTCORBA::ProtocolList *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, RTCORBA::ProtocolList *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const RTCORBA::ProtocolList *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, RTCORBA::ServerProtocolPolicy_ptr _tao_elem)
void | operator<<= (CORBA::Any &_tao_any, RTCORBA::ServerProtocolPolicy_ptr *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, RTCORBA::ServerProtocolPolicy_ptr &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, RTCORBA::ClientProtocolPolicy_ptr _tao_elem)
void | operator<<= (CORBA::Any &_tao_any, RTCORBA::ClientProtocolPolicy_ptr *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, RTCORBA::ClientProtocolPolicy_ptr &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, RTCORBA::PrivateConnectionPolicy_ptr _tao_elem)
void | operator<<= (CORBA::Any &_tao_any, RTCORBA::PrivateConnectionPolicy_ptr *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, RTCORBA::PrivateConnectionPolicy_ptr &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, RTCORBA::TCPProtocolProperties_ptr _tao_elem)
void | operator<<= (CORBA::Any &_tao_any, RTCORBA::TCPProtocolProperties_ptr *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, RTCORBA::TCPProtocolProperties_ptr &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, RTCORBA::GIOPProtocolProperties_ptr _tao_elem)
void | operator<<= (CORBA::Any &_tao_any, RTCORBA::GIOPProtocolProperties_ptr *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, RTCORBA::GIOPProtocolProperties_ptr &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, RTCORBA::UnixDomainProtocolProperties_ptr _tao_elem)
void | operator<<= (CORBA::Any &_tao_any, RTCORBA::UnixDomainProtocolProperties_ptr *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, RTCORBA::UnixDomainProtocolProperties_ptr &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, RTCORBA::SharedMemoryProtocolProperties_ptr _tao_elem)
void | operator<<= (CORBA::Any &_tao_any, RTCORBA::SharedMemoryProtocolProperties_ptr *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, RTCORBA::SharedMemoryProtocolProperties_ptr &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const RTCORBA::PriorityBand &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, RTCORBA::PriorityBand *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, RTCORBA::PriorityBand *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const RTCORBA::PriorityBand *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const RTCORBA::PriorityBands &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, RTCORBA::PriorityBands *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, RTCORBA::PriorityBands *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const RTCORBA::PriorityBands *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, RTCORBA::PriorityBandedConnectionPolicy_ptr _tao_elem)
void | operator<<= (CORBA::Any &_tao_any, RTCORBA::PriorityBandedConnectionPolicy_ptr *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, RTCORBA::PriorityBandedConnectionPolicy_ptr &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, RTCORBA::Current_ptr _tao_elem)
void | operator<<= (CORBA::Any &_tao_any, RTCORBA::Current_ptr *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, RTCORBA::Current_ptr &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, RTCORBA::Mutex_ptr _tao_elem)
void | operator<<= (CORBA::Any &_tao_any, RTCORBA::Mutex_ptr *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, RTCORBA::Mutex_ptr &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, RTCORBA::RTORB_ptr _tao_elem)
void | operator<<= (CORBA::Any &_tao_any, RTCORBA::RTORB_ptr *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, RTCORBA::RTORB_ptr &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const RTCORBA::RTORB::MutexNotFound &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, RTCORBA::RTORB::MutexNotFound *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, RTCORBA::RTORB::MutexNotFound *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const RTCORBA::RTORB::MutexNotFound *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const RTCORBA::RTORB::InvalidThreadpool &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, RTCORBA::RTORB::InvalidThreadpool *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, RTCORBA::RTORB::InvalidThreadpool *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const RTCORBA::RTORB::InvalidThreadpool *&_tao_elem)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const RTCORBA::ThreadpoolLanes &_tao_sequence)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, RTCORBA::ThreadpoolLanes &_tao_sequence)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const RTCORBA::ProtocolList &_tao_sequence)
CORBA::Boolean | operator>> (TAO_InputCDR &, RTCORBA::ProtocolList &)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const RTCORBA::PriorityBands &_tao_sequence)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, RTCORBA::PriorityBands &_tao_sequence)
## Variables
const CORBA::Long | _oc_RTCORBA_NativePriority []
const CORBA::Long | _oc_RTCORBA_Priority []
const CORBA::Long | _oc_RTCORBA_NetworkPriority []
const CORBA::Long | _oc_RTCORBA_ThreadpoolId []
const CORBA::Long | _oc_RTCORBA_ThreadpoolLane []
const CORBA::Long | _oc_RTCORBA_ThreadpoolLanes []
const CORBA::Long | _oc_RTCORBA_PriorityModel []
TAO::Collocation_Proxy_Broker *(* | RTCORBA__TAO_PriorityModelPolicy_Proxy_Broker_Factory_function_pointer )(CORBA::Object_ptr obj)=0
const CORBA::Long | _oc_RTCORBA_PriorityModelPolicy []
TAO::Collocation_Proxy_Broker *(* | RTCORBA__TAO_ThreadpoolPolicy_Proxy_Broker_Factory_function_pointer )(CORBA::Object_ptr obj)=0
const CORBA::Long | _oc_RTCORBA_ThreadpoolPolicy []
TAO::Collocation_Proxy_Broker *(* | RTCORBA__TAO_ProtocolProperties_Proxy_Broker_Factory_function_pointer )(CORBA::Object_ptr obj)=0
const CORBA::Long | _oc_RTCORBA_ProtocolProperties []
const CORBA::Long | _oc_RTCORBA_Protocol []
const CORBA::Long | _oc_RTCORBA_ProtocolList []
TAO::Collocation_Proxy_Broker *(* | RTCORBA__TAO_ServerProtocolPolicy_Proxy_Broker_Factory_function_pointer )(CORBA::Object_ptr obj)=0
const CORBA::Long | _oc_RTCORBA_ServerProtocolPolicy []
TAO::Collocation_Proxy_Broker *(* | RTCORBA__TAO_ClientProtocolPolicy_Proxy_Broker_Factory_function_pointer )(CORBA::Object_ptr obj)=0
const CORBA::Long | _oc_RTCORBA_ClientProtocolPolicy []
TAO::Collocation_Proxy_Broker *(* | RTCORBA__TAO_PrivateConnectionPolicy_Proxy_Broker_Factory_function_pointer )(CORBA::Object_ptr obj)=0
const CORBA::Long | _oc_RTCORBA_PrivateConnectionPolicy []
TAO::Collocation_Proxy_Broker *(* | RTCORBA__TAO_TCPProtocolProperties_Proxy_Broker_Factory_function_pointer )(CORBA::Object_ptr obj)=0
const CORBA::Long | _oc_RTCORBA_TCPProtocolProperties []
TAO::Collocation_Proxy_Broker *(* | RTCORBA__TAO_GIOPProtocolProperties_Proxy_Broker_Factory_function_pointer )(CORBA::Object_ptr obj)=0
const CORBA::Long | _oc_RTCORBA_GIOPProtocolProperties []
TAO::Collocation_Proxy_Broker *(* | RTCORBA__TAO_UnixDomainProtocolProperties_Proxy_Broker_Factory_function_pointer )(CORBA::Object_ptr obj)=0
const CORBA::Long | _oc_RTCORBA_UnixDomainProtocolProperties []
TAO::Collocation_Proxy_Broker *(* | RTCORBA__TAO_SharedMemoryProtocolProperties_Proxy_Broker_Factory_function_pointer )(CORBA::Object_ptr obj)=0
const CORBA::Long | _oc_RTCORBA_SharedMemoryProtocolProperties []
const CORBA::Long | _oc_RTCORBA_PriorityBand []
const CORBA::Long | _oc_RTCORBA_PriorityBands []
TAO::Collocation_Proxy_Broker *(* | RTCORBA__TAO_PriorityBandedConnectionPolicy_Proxy_Broker_Factory_function_pointer )(CORBA::Object_ptr obj)=0
const CORBA::Long | _oc_RTCORBA_PriorityBandedConnectionPolicy []
TAO::Collocation_Proxy_Broker *(* | RTCORBA__TAO_Current_Proxy_Broker_Factory_function_pointer )(CORBA::Object_ptr obj)=0
const CORBA::Long | _oc_RTCORBA_Current []
TAO::Collocation_Proxy_Broker *(* | RTCORBA__TAO_Mutex_Proxy_Broker_Factory_function_pointer )(CORBA::Object_ptr obj)=0
const CORBA::Long | _oc_RTCORBA_Mutex []
TAO::Collocation_Proxy_Broker *(* | RTCORBA__TAO_RTORB_Proxy_Broker_Factory_function_pointer )(CORBA::Object_ptr obj)=0
const CORBA::Long | _oc_RTCORBA_RTORB_MutexNotFound []
const CORBA::Long | _oc_RTCORBA_RTORB_InvalidThreadpool []
const CORBA::Long | _oc_RTCORBA_RTORB []

## Define Documentation

#define _RTCORBA_PRIORITYBANDS_CS_

#define _RTCORBA_PROTOCOLLIST_CS_

#define _RTCORBA_THREADPOOLLANES_CS_

## Function Documentation

CORBA::TypeCode _tc_TAO_tc_RTCORBA_ClientProtocolPolicy | ( | CORBA::tk_objref | ,
|  | sizeof(_oc_RTCORBA_ClientProtocolPolicy) | ,
|  | (char *)& | _oc_RTCORBA_ClientProtocolPolicy,
|  | 0 | ,
|  | sizeof(RTCORBA::ClientProtocolPolicy) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_RTCORBA_Current | ( | CORBA::tk_objref | ,
|  | sizeof(_oc_RTCORBA_Current) | ,
|  | (char *)& | _oc_RTCORBA_Current,
|  | 0 | ,
|  | sizeof(RTCORBA::Current) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_RTCORBA_GIOPProtocolProperties | ( | CORBA::tk_objref | ,
|  | sizeof(_oc_RTCORBA_GIOPProtocolProperties) | ,
|  | (char *)& | _oc_RTCORBA_GIOPProtocolProperties,
|  | 0 | ,
|  | sizeof(RTCORBA::GIOPProtocolProperties) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_RTCORBA_Mutex | ( | CORBA::tk_objref | ,
|  | sizeof(_oc_RTCORBA_Mutex) | ,
|  | (char *)& | _oc_RTCORBA_Mutex,
|  | 0 | ,
|  | sizeof(RTCORBA::Mutex) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_RTCORBA_NativePriority | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_RTCORBA_NativePriority) | ,
|  | (char *)& | _oc_RTCORBA_NativePriority,
|  | 0 | ,
|  | sizeof(RTCORBA::NativePriority) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_RTCORBA_NetworkPriority | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_RTCORBA_NetworkPriority) | ,
|  | (char *)& | _oc_RTCORBA_NetworkPriority,
|  | 0 | ,
|  | sizeof(RTCORBA::NetworkPriority) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_RTCORBA_Priority | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_RTCORBA_Priority) | ,
|  | (char *)& | _oc_RTCORBA_Priority,
|  | 0 | ,
|  | sizeof(RTCORBA::Priority) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_RTCORBA_PriorityBand | ( | CORBA::tk_struct | ,
|  | sizeof(_oc_RTCORBA_PriorityBand) | ,
|  | (char *)& | _oc_RTCORBA_PriorityBand,
|  | 0 | ,
|  | sizeof(RTCORBA::PriorityBand) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_RTCORBA_PriorityBandedConnectionPolicy | ( | CORBA::tk_objref | ,
|  | sizeof(_oc_RTCORBA_PriorityBandedConnectionPolicy) | ,
|  | (char *)& | _oc_RTCORBA_PriorityBandedConnectionPolicy,
|  | 0 | ,
|  | sizeof(RTCORBA::PriorityBandedConnectionPolicy) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_RTCORBA_PriorityBands | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_RTCORBA_PriorityBands) | ,
|  | (char *)& | _oc_RTCORBA_PriorityBands,
|  | 0 | ,
|  | sizeof(RTCORBA::PriorityBands) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_RTCORBA_PriorityModel | ( | CORBA::tk_enum | ,
|  | sizeof(_oc_RTCORBA_PriorityModel) | ,
|  | (char *)& | _oc_RTCORBA_PriorityModel,
|  | 0 | ,
|  | sizeof(RTCORBA::PriorityModel) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_RTCORBA_PriorityModelPolicy | ( | CORBA::tk_objref | ,
|  | sizeof(_oc_RTCORBA_PriorityModelPolicy) | ,
|  | (char *)& | _oc_RTCORBA_PriorityModelPolicy,
|  | 0 | ,
|  | sizeof(RTCORBA::PriorityModelPolicy) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_RTCORBA_PrivateConnectionPolicy | ( | CORBA::tk_objref | ,
|  | sizeof(_oc_RTCORBA_PrivateConnectionPolicy) | ,
|  | (char *)& | _oc_RTCORBA_PrivateConnectionPolicy,
|  | 0 | ,
|  | sizeof(RTCORBA::PrivateConnectionPolicy) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_RTCORBA_Protocol | ( | CORBA::tk_struct | ,
|  | sizeof(_oc_RTCORBA_Protocol) | ,
|  | (char *)& | _oc_RTCORBA_Protocol,
|  | 0 | ,
|  | sizeof(RTCORBA::Protocol) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_RTCORBA_ProtocolList | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_RTCORBA_ProtocolList) | ,
|  | (char *)& | _oc_RTCORBA_ProtocolList,
|  | 0 | ,
|  | sizeof(RTCORBA::ProtocolList) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_RTCORBA_ProtocolProperties | ( | CORBA::tk_objref | ,
|  | sizeof(_oc_RTCORBA_ProtocolProperties) | ,
|  | (char *)& | _oc_RTCORBA_ProtocolProperties,
|  | 0 | ,
|  | sizeof(RTCORBA::ProtocolProperties) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_RTCORBA_RTORB | ( | CORBA::tk_objref | ,
|  | sizeof(_oc_RTCORBA_RTORB) | ,
|  | (char *)& | _oc_RTCORBA_RTORB,
|  | 0 | ,
|  | sizeof(RTCORBA::RTORB) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_RTCORBA_RTORB_InvalidThreadpool | ( | CORBA::tk_except | ,
|  | sizeof(_oc_RTCORBA_RTORB_InvalidThreadpool) | ,
|  | (char *)& | _oc_RTCORBA_RTORB_InvalidThreadpool,
|  | 0 | ,
|  | sizeof(RTCORBA::RTORB::InvalidThreadpool) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_RTCORBA_RTORB_MutexNotFound | ( | CORBA::tk_except | ,
|  | sizeof(_oc_RTCORBA_RTORB_MutexNotFound) | ,
|  | (char *)& | _oc_RTCORBA_RTORB_MutexNotFound,
|  | 0 | ,
|  | sizeof(RTCORBA::RTORB::MutexNotFound) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_RTCORBA_ServerProtocolPolicy | ( | CORBA::tk_objref | ,
|  | sizeof(_oc_RTCORBA_ServerProtocolPolicy) | ,
|  | (char *)& | _oc_RTCORBA_ServerProtocolPolicy,
|  | 0 | ,
|  | sizeof(RTCORBA::ServerProtocolPolicy) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_RTCORBA_SharedMemoryProtocolProperties | ( | CORBA::tk_objref | ,
|  | sizeof(_oc_RTCORBA_SharedMemoryProtocolProperties) | ,
|  | (char *)& | _oc_RTCORBA_SharedMemoryProtocolProperties,
|  | 0 | ,
|  | sizeof(RTCORBA::SharedMemoryProtocolProperties) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_RTCORBA_TCPProtocolProperties | ( | CORBA::tk_objref | ,
|  | sizeof(_oc_RTCORBA_TCPProtocolProperties) | ,
|  | (char *)& | _oc_RTCORBA_TCPProtocolProperties,
|  | 0 | ,
|  | sizeof(RTCORBA::TCPProtocolProperties) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_RTCORBA_ThreadpoolId | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_RTCORBA_ThreadpoolId) | ,
|  | (char *)& | _oc_RTCORBA_ThreadpoolId,
|  | 0 | ,
|  | sizeof(RTCORBA::ThreadpoolId) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_RTCORBA_ThreadpoolLane | ( | CORBA::tk_struct | ,
|  | sizeof(_oc_RTCORBA_ThreadpoolLane) | ,
|  | (char *)& | _oc_RTCORBA_ThreadpoolLane,
|  | 0 | ,
|  | sizeof(RTCORBA::ThreadpoolLane) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_RTCORBA_ThreadpoolLanes | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_RTCORBA_ThreadpoolLanes) | ,
|  | (char *)& | _oc_RTCORBA_ThreadpoolLanes,
|  | 0 | ,
|  | sizeof(RTCORBA::ThreadpoolLanes) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_RTCORBA_ThreadpoolPolicy | ( | CORBA::tk_objref | ,
|  | sizeof(_oc_RTCORBA_ThreadpoolPolicy) | ,
|  | (char *)& | _oc_RTCORBA_ThreadpoolPolicy,
|  | 0 | ,
|  | sizeof(RTCORBA::ThreadpoolPolicy) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_RTCORBA_UnixDomainProtocolProperties | ( | CORBA::tk_objref | ,
|  | sizeof(_oc_RTCORBA_UnixDomainProtocolProperties) | ,
|  | (char *)& | _oc_RTCORBA_UnixDomainProtocolProperties,
|  | 0 | ,
|  | sizeof(RTCORBA::UnixDomainProtocolProperties) |
| ) | `[static]`

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const RTCORBA::PriorityBands & | _tao_sequence
| ) |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const RTCORBA::ProtocolList & | _tao_sequence
| ) |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const RTCORBA::ThreadpoolLanes & | _tao_sequence
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | RTCORBA::RTORB::InvalidThreadpool * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const RTCORBA::RTORB::InvalidThreadpool & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | RTCORBA::RTORB::MutexNotFound * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const RTCORBA::RTORB::MutexNotFound & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | RTCORBA::RTORB_ptr * | _tao_elem
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | RTCORBA::RTORB_ptr | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | RTCORBA::Mutex_ptr * | _tao_elem
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | RTCORBA::Mutex_ptr | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | RTCORBA::Current_ptr * | _tao_elem
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | RTCORBA::Current_ptr | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | RTCORBA::PriorityBandedConnectionPolicy_ptr * | _tao_elem
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | RTCORBA::PriorityBandedConnectionPolicy_ptr | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | RTCORBA::PriorityBands * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const RTCORBA::PriorityBands & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | RTCORBA::PriorityBand * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const RTCORBA::PriorityBand & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | RTCORBA::SharedMemoryProtocolProperties_ptr * | _tao_elem
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | RTCORBA::SharedMemoryProtocolProperties_ptr | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | RTCORBA::UnixDomainProtocolProperties_ptr * | _tao_elem
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | RTCORBA::UnixDomainProtocolProperties_ptr | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | RTCORBA::GIOPProtocolProperties_ptr * | _tao_elem
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | RTCORBA::GIOPProtocolProperties_ptr | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | RTCORBA::TCPProtocolProperties_ptr * | _tao_elem
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | RTCORBA::TCPProtocolProperties_ptr | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | RTCORBA::PrivateConnectionPolicy_ptr * | _tao_elem
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | RTCORBA::PrivateConnectionPolicy_ptr | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | RTCORBA::ClientProtocolPolicy_ptr * | _tao_elem
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | RTCORBA::ClientProtocolPolicy_ptr | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | RTCORBA::ServerProtocolPolicy_ptr * | _tao_elem
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | RTCORBA::ServerProtocolPolicy_ptr | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | RTCORBA::ProtocolList * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const RTCORBA::ProtocolList & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | RTCORBA::Protocol * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const RTCORBA::Protocol & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | RTCORBA::ProtocolProperties_ptr * | _tao_elem
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | RTCORBA::ProtocolProperties_ptr | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | RTCORBA::ThreadpoolPolicy_ptr * | _tao_elem
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | RTCORBA::ThreadpoolPolicy_ptr | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | RTCORBA::PriorityModelPolicy_ptr * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | RTCORBA::PriorityModelPolicy_ptr | _tao_elem
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | RTCORBA::PriorityModel | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | RTCORBA::ThreadpoolLanes * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const RTCORBA::ThreadpoolLanes & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | RTCORBA::ThreadpoolLane * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const RTCORBA::ThreadpoolLane & | _tao_elem
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | RTCORBA::PriorityBands & | _tao_sequence
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | RTCORBA::ProtocolList & |
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | RTCORBA::ThreadpoolLanes & | _tao_sequence
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const RTCORBA::RTORB::InvalidThreadpool *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | RTCORBA::RTORB::InvalidThreadpool *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const RTCORBA::RTORB::MutexNotFound *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | RTCORBA::RTORB::MutexNotFound *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | RTCORBA::RTORB_ptr & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | RTCORBA::Mutex_ptr & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | RTCORBA::Current_ptr & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | RTCORBA::PriorityBandedConnectionPolicy_ptr & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const RTCORBA::PriorityBands *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | RTCORBA::PriorityBands *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const RTCORBA::PriorityBand *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | RTCORBA::PriorityBand *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | RTCORBA::SharedMemoryProtocolProperties_ptr & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | RTCORBA::UnixDomainProtocolProperties_ptr & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | RTCORBA::GIOPProtocolProperties_ptr & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | RTCORBA::TCPProtocolProperties_ptr & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | RTCORBA::PrivateConnectionPolicy_ptr & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | RTCORBA::ClientProtocolPolicy_ptr & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | RTCORBA::ServerProtocolPolicy_ptr & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const RTCORBA::ProtocolList *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | RTCORBA::ProtocolList *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const RTCORBA::Protocol *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | RTCORBA::Protocol *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | RTCORBA::ProtocolProperties_ptr & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | RTCORBA::ThreadpoolPolicy_ptr & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | RTCORBA::PriorityModelPolicy_ptr & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | RTCORBA::PriorityModel & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const RTCORBA::ThreadpoolLanes *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | RTCORBA::ThreadpoolLanes *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const RTCORBA::ThreadpoolLane *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | RTCORBA::ThreadpoolLane *& | _tao_elem
| ) |

## Variable Documentation

const CORBA::Long _oc_RTCORBA_ClientProtocolPolicy[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      45,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x5254434f),
      ACE_NTOHL (0x5242412f),
      ACE_NTOHL (0x436c6965),
      ACE_NTOHL (0x6e745072),
      ACE_NTOHL (0x6f746f63),
      ACE_NTOHL (0x6f6c506f),
      ACE_NTOHL (0x6c696379),
      ACE_NTOHL (0x3a312e30),
      ACE_NTOHL (0x0),
        21,
      ACE_NTOHL (0x436c6965),
      ACE_NTOHL (0x6e745072),
      ACE_NTOHL (0x6f746f63),
      ACE_NTOHL (0x6f6c506f),
      ACE_NTOHL (0x6c696379),
      ACE_NTOHL (0x0),
      }

const CORBA::Long _oc_RTCORBA_Current[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      32,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x5254434f),
      ACE_NTOHL (0x5242412f),
      ACE_NTOHL (0x43757272),
      ACE_NTOHL (0x656e743a),
      ACE_NTOHL (0x312e3000),
        8,
      ACE_NTOHL (0x43757272),
      ACE_NTOHL (0x656e7400),
      }

const CORBA::Long _oc_RTCORBA_GIOPProtocolProperties[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      47,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x5254434f),
      ACE_NTOHL (0x5242412f),
      ACE_NTOHL (0x47494f50),
      ACE_NTOHL (0x50726f74),
      ACE_NTOHL (0x6f636f6c),
      ACE_NTOHL (0x50726f70),
      ACE_NTOHL (0x65727469),
      ACE_NTOHL (0x65733a31),
      ACE_NTOHL (0x2e300000),
        23,
      ACE_NTOHL (0x47494f50),
      ACE_NTOHL (0x50726f74),
      ACE_NTOHL (0x6f636f6c),
      ACE_NTOHL (0x50726f70),
      ACE_NTOHL (0x65727469),
      ACE_NTOHL (0x65730000),
      }

const CORBA::Long _oc_RTCORBA_Mutex[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      30,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x5254434f),
      ACE_NTOHL (0x5242412f),
      ACE_NTOHL (0x4d757465),
      ACE_NTOHL (0x783a312e),
      ACE_NTOHL (0x30000000),
        6,
      ACE_NTOHL (0x4d757465),
      ACE_NTOHL (0x78000000),
      }

const CORBA::Long _oc_RTCORBA_NativePriority[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      39,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x5254434f),
      ACE_NTOHL (0x5242412f),
      ACE_NTOHL (0x4e617469),
      ACE_NTOHL (0x76655072),
      ACE_NTOHL (0x696f7269),
      ACE_NTOHL (0x74793a31),
      ACE_NTOHL (0x2e300000),
        15,
      ACE_NTOHL (0x4e617469),
      ACE_NTOHL (0x76655072),
      ACE_NTOHL (0x696f7269),
      ACE_NTOHL (0x74790000),
        CORBA::tk_short,

    }

const CORBA::Long _oc_RTCORBA_NetworkPriority[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      40,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x5254434f),
      ACE_NTOHL (0x5242412f),
      ACE_NTOHL (0x4e657477),
      ACE_NTOHL (0x6f726b50),
      ACE_NTOHL (0x72696f72),
      ACE_NTOHL (0x6974793a),
      ACE_NTOHL (0x312e3000),
        16,
      ACE_NTOHL (0x4e657477),
      ACE_NTOHL (0x6f726b50),
      ACE_NTOHL (0x72696f72),
      ACE_NTOHL (0x69747900),
        CORBA::tk_long,

    }

const CORBA::Long _oc_RTCORBA_Priority[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      33,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x5254434f),
      ACE_NTOHL (0x5242412f),
      ACE_NTOHL (0x5072696f),
      ACE_NTOHL (0x72697479),
      ACE_NTOHL (0x3a312e30),
      ACE_NTOHL (0x0),
        9,
      ACE_NTOHL (0x5072696f),
      ACE_NTOHL (0x72697479),
      ACE_NTOHL (0x0),
        CORBA::tk_short,

    }

const CORBA::Long _oc_RTCORBA_PriorityBand[]`[static]`

const CORBA::Long _oc_RTCORBA_PriorityBandedConnectionPolicy[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      55,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x5254434f),
      ACE_NTOHL (0x5242412f),
      ACE_NTOHL (0x5072696f),
      ACE_NTOHL (0x72697479),
      ACE_NTOHL (0x42616e64),
      ACE_NTOHL (0x6564436f),
      ACE_NTOHL (0x6e6e6563),
      ACE_NTOHL (0x74696f6e),
      ACE_NTOHL (0x506f6c69),
      ACE_NTOHL (0x63793a31),
      ACE_NTOHL (0x2e300000),
        31,
      ACE_NTOHL (0x5072696f),
      ACE_NTOHL (0x72697479),
      ACE_NTOHL (0x42616e64),
      ACE_NTOHL (0x6564436f),
      ACE_NTOHL (0x6e6e6563),
      ACE_NTOHL (0x74696f6e),
      ACE_NTOHL (0x506f6c69),
      ACE_NTOHL (0x63790000),
      }

const CORBA::Long _oc_RTCORBA_PriorityBands[]`[static]`

const CORBA::Long _oc_RTCORBA_PriorityModel[]`[static]`

const CORBA::Long _oc_RTCORBA_PriorityModelPolicy[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      44,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x5254434f),
      ACE_NTOHL (0x5242412f),
      ACE_NTOHL (0x5072696f),
      ACE_NTOHL (0x72697479),
      ACE_NTOHL (0x4d6f6465),
      ACE_NTOHL (0x6c506f6c),
      ACE_NTOHL (0x6963793a),
      ACE_NTOHL (0x312e3000),
        20,
      ACE_NTOHL (0x5072696f),
      ACE_NTOHL (0x72697479),
      ACE_NTOHL (0x4d6f6465),
      ACE_NTOHL (0x6c506f6c),
      ACE_NTOHL (0x69637900),
      }

const CORBA::Long _oc_RTCORBA_PrivateConnectionPolicy[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      48,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x5254434f),
      ACE_NTOHL (0x5242412f),
      ACE_NTOHL (0x50726976),
      ACE_NTOHL (0x61746543),
      ACE_NTOHL (0x6f6e6e65),
      ACE_NTOHL (0x6374696f),
      ACE_NTOHL (0x6e506f6c),
      ACE_NTOHL (0x6963793a),
      ACE_NTOHL (0x312e3000),
        24,
      ACE_NTOHL (0x50726976),
      ACE_NTOHL (0x61746543),
      ACE_NTOHL (0x6f6e6e65),
      ACE_NTOHL (0x6374696f),
      ACE_NTOHL (0x6e506f6c),
      ACE_NTOHL (0x69637900),
      }

const CORBA::Long _oc_RTCORBA_Protocol[]`[static]`

const CORBA::Long _oc_RTCORBA_ProtocolList[]`[static]`

const CORBA::Long _oc_RTCORBA_ProtocolProperties[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      43,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x5254434f),
      ACE_NTOHL (0x5242412f),
      ACE_NTOHL (0x50726f74),
      ACE_NTOHL (0x6f636f6c),
      ACE_NTOHL (0x50726f70),
      ACE_NTOHL (0x65727469),
      ACE_NTOHL (0x65733a31),
      ACE_NTOHL (0x2e300000),
        19,
      ACE_NTOHL (0x50726f74),
      ACE_NTOHL (0x6f636f6c),
      ACE_NTOHL (0x50726f70),
      ACE_NTOHL (0x65727469),
      ACE_NTOHL (0x65730000),
      }

const CORBA::Long _oc_RTCORBA_RTORB[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      30,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x5254434f),
      ACE_NTOHL (0x5242412f),
      ACE_NTOHL (0x52544f52),
      ACE_NTOHL (0x423a312e),
      ACE_NTOHL (0x30000000),
        6,
      ACE_NTOHL (0x52544f52),
      ACE_NTOHL (0x42000000),
      }

const CORBA::Long _oc_RTCORBA_RTORB_InvalidThreadpool[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      48,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x5254434f),
      ACE_NTOHL (0x5242412f),
      ACE_NTOHL (0x52544f52),
      ACE_NTOHL (0x422f496e),
      ACE_NTOHL (0x76616c69),
      ACE_NTOHL (0x64546872),
      ACE_NTOHL (0x65616470),
      ACE_NTOHL (0x6f6f6c3a),
      ACE_NTOHL (0x312e3000),
        18,
      ACE_NTOHL (0x496e7661),
      ACE_NTOHL (0x6c696454),
      ACE_NTOHL (0x68726561),
      ACE_NTOHL (0x64706f6f),
      ACE_NTOHL (0x6c000000),
      0,
      }

const CORBA::Long _oc_RTCORBA_RTORB_MutexNotFound[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      44,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x5254434f),
      ACE_NTOHL (0x5242412f),
      ACE_NTOHL (0x52544f52),
      ACE_NTOHL (0x422f4d75),
      ACE_NTOHL (0x7465784e),
      ACE_NTOHL (0x6f74466f),
      ACE_NTOHL (0x756e643a),
      ACE_NTOHL (0x312e3000),
        14,
      ACE_NTOHL (0x4d757465),
      ACE_NTOHL (0x784e6f74),
      ACE_NTOHL (0x466f756e),
      ACE_NTOHL (0x64000000),
      0,
      }

const CORBA::Long _oc_RTCORBA_ServerProtocolPolicy[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      45,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x5254434f),
      ACE_NTOHL (0x5242412f),
      ACE_NTOHL (0x53657276),
      ACE_NTOHL (0x65725072),
      ACE_NTOHL (0x6f746f63),
      ACE_NTOHL (0x6f6c506f),
      ACE_NTOHL (0x6c696379),
      ACE_NTOHL (0x3a312e30),
      ACE_NTOHL (0x0),
        21,
      ACE_NTOHL (0x53657276),
      ACE_NTOHL (0x65725072),
      ACE_NTOHL (0x6f746f63),
      ACE_NTOHL (0x6f6c506f),
      ACE_NTOHL (0x6c696379),
      ACE_NTOHL (0x0),
      }

const CORBA::Long _oc_RTCORBA_SharedMemoryProtocolProperties[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      55,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x5254434f),
      ACE_NTOHL (0x5242412f),
      ACE_NTOHL (0x53686172),
      ACE_NTOHL (0x65644d65),
      ACE_NTOHL (0x6d6f7279),
      ACE_NTOHL (0x50726f74),
      ACE_NTOHL (0x6f636f6c),
      ACE_NTOHL (0x50726f70),
      ACE_NTOHL (0x65727469),
      ACE_NTOHL (0x65733a31),
      ACE_NTOHL (0x2e300000),
        31,
      ACE_NTOHL (0x53686172),
      ACE_NTOHL (0x65644d65),
      ACE_NTOHL (0x6d6f7279),
      ACE_NTOHL (0x50726f74),
      ACE_NTOHL (0x6f636f6c),
      ACE_NTOHL (0x50726f70),
      ACE_NTOHL (0x65727469),
      ACE_NTOHL (0x65730000),
      }

const CORBA::Long _oc_RTCORBA_TCPProtocolProperties[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      46,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x5254434f),
      ACE_NTOHL (0x5242412f),
      ACE_NTOHL (0x54435050),
      ACE_NTOHL (0x726f746f),
      ACE_NTOHL (0x636f6c50),
      ACE_NTOHL (0x726f7065),
      ACE_NTOHL (0x72746965),
      ACE_NTOHL (0x733a312e),
      ACE_NTOHL (0x30000000),
        22,
      ACE_NTOHL (0x54435050),
      ACE_NTOHL (0x726f746f),
      ACE_NTOHL (0x636f6c50),
      ACE_NTOHL (0x726f7065),
      ACE_NTOHL (0x72746965),
      ACE_NTOHL (0x73000000),
      }

const CORBA::Long _oc_RTCORBA_ThreadpoolId[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      37,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x5254434f),
      ACE_NTOHL (0x5242412f),
      ACE_NTOHL (0x54687265),
      ACE_NTOHL (0x6164706f),
      ACE_NTOHL (0x6f6c4964),
      ACE_NTOHL (0x3a312e30),
      ACE_NTOHL (0x0),
        13,
      ACE_NTOHL (0x54687265),
      ACE_NTOHL (0x6164706f),
      ACE_NTOHL (0x6f6c4964),
      ACE_NTOHL (0x0),
        CORBA::tk_ulong,

    }

const CORBA::Long _oc_RTCORBA_ThreadpoolLane[]`[static]`

const CORBA::Long _oc_RTCORBA_ThreadpoolLanes[]`[static]`

const CORBA::Long _oc_RTCORBA_ThreadpoolPolicy[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      41,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x5254434f),
      ACE_NTOHL (0x5242412f),
      ACE_NTOHL (0x54687265),
      ACE_NTOHL (0x6164706f),
      ACE_NTOHL (0x6f6c506f),
      ACE_NTOHL (0x6c696379),
      ACE_NTOHL (0x3a312e30),
      ACE_NTOHL (0x0),
        17,
      ACE_NTOHL (0x54687265),
      ACE_NTOHL (0x6164706f),
      ACE_NTOHL (0x6f6c506f),
      ACE_NTOHL (0x6c696379),
      ACE_NTOHL (0x0),
      }

const CORBA::Long _oc_RTCORBA_UnixDomainProtocolProperties[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      53,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x5254434f),
      ACE_NTOHL (0x5242412f),
      ACE_NTOHL (0x556e6978),
      ACE_NTOHL (0x446f6d61),
      ACE_NTOHL (0x696e5072),
      ACE_NTOHL (0x6f746f63),
      ACE_NTOHL (0x6f6c5072),
      ACE_NTOHL (0x6f706572),
      ACE_NTOHL (0x74696573),
      ACE_NTOHL (0x3a312e30),
      ACE_NTOHL (0x0),
        29,
      ACE_NTOHL (0x556e6978),
      ACE_NTOHL (0x446f6d61),
      ACE_NTOHL (0x696e5072),
      ACE_NTOHL (0x6f746f63),
      ACE_NTOHL (0x6f6c5072),
      ACE_NTOHL (0x6f706572),
      ACE_NTOHL (0x74696573),
      ACE_NTOHL (0x0),
      }

TAO::Collocation_Proxy_Broker*(* RTCORBA__TAO_ClientProtocolPolicy_Proxy_Broker_Factory_function_pointer)( CORBA::Object_ptr obj ) = 0

TAO::Collocation_Proxy_Broker*(* RTCORBA__TAO_Current_Proxy_Broker_Factory_function_pointer)( CORBA::Object_ptr obj ) = 0

TAO::Collocation_Proxy_Broker*(* RTCORBA__TAO_GIOPProtocolProperties_Proxy_Broker_Factory_function_pointer)( CORBA::Object_ptr obj ) = 0

TAO::Collocation_Proxy_Broker*(* RTCORBA__TAO_Mutex_Proxy_Broker_Factory_function_pointer)( CORBA::Object_ptr obj ) = 0

TAO::Collocation_Proxy_Broker*(* RTCORBA__TAO_PriorityBandedConnectionPolicy_Proxy_Broker_Factory_function_pointer)( CORBA::Object_ptr obj ) = 0

TAO::Collocation_Proxy_Broker*(* RTCORBA__TAO_PriorityModelPolicy_Proxy_Broker_Factory_function_pointer)( CORBA::Object_ptr obj ) = 0

TAO::Collocation_Proxy_Broker*(* RTCORBA__TAO_PrivateConnectionPolicy_Proxy_Broker_Factory_function_pointer)( CORBA::Object_ptr obj ) = 0

TAO::Collocation_Proxy_Broker*(* RTCORBA__TAO_ProtocolProperties_Proxy_Broker_Factory_function_pointer)( CORBA::Object_ptr obj ) = 0

TAO::Collocation_Proxy_Broker*(* RTCORBA__TAO_RTORB_Proxy_Broker_Factory_function_pointer)( CORBA::Object_ptr obj ) = 0

TAO::Collocation_Proxy_Broker*(* RTCORBA__TAO_ServerProtocolPolicy_Proxy_Broker_Factory_function_pointer)( CORBA::Object_ptr obj ) = 0

TAO::Collocation_Proxy_Broker*(* RTCORBA__TAO_SharedMemoryProtocolProperties_Proxy_Broker_Factory_function_pointer)( CORBA::Object_ptr obj ) = 0

TAO::Collocation_Proxy_Broker*(* RTCORBA__TAO_TCPProtocolProperties_Proxy_Broker_Factory_function_pointer)( CORBA::Object_ptr obj ) = 0

TAO::Collocation_Proxy_Broker*(* RTCORBA__TAO_ThreadpoolPolicy_Proxy_Broker_Factory_function_pointer)( CORBA::Object_ptr obj ) = 0

TAO::Collocation_Proxy_Broker*(* RTCORBA__TAO_UnixDomainProtocolProperties_Proxy_Broker_Factory_function_pointer)( CORBA::Object_ptr obj ) = 0